function [B,A,d] = descompMPC(FT)
% By:  Sergio Andres Castao Giraldo
% http://controlautomaticoeducacion.com/
% ______________________________________________________________________
%[B,A,d] = descomp(FT)
%descompone uma funo de transferencia em numerador (B) denominador
%(A) e atraso (d) em tempo discreto. (Retorna CELDAS). Se o numerador
%apresenta mesmo ordem que o denominador no caso discreto, se retira um
%atraso e se incorpora no numerador para manter a logica da janela
%deslizante do controlador preditivo,garantir sempre u(k-1).
    [B,A]=tfdata(FT,'v');  %Numerador e denominador do processo
    d=FT.iodelay;
    [y,u]=size(B);
    for i=1:y
        for j=1:u
            if B{i,j}(1)~=0
                d(i,j)=d(i,j)-1;
            end
        end
    end
end